Page MenuHomePhabricator

Set testwiki to use the new MCR-only schema
Closed, ResolvedPublic

Description

The following setting switches fully MediaWiki to the new, MCR enabled database schema for revision storage:

$wgMultiContentRevisionSchemaMigrationStage = SCHEMA_COMPAT_NEW;
NOTE: This marks the point of no return for MCR deployment to the testwiki: rolling this back will result in data loss on the test system.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterRe-apply: MCR: Set testwiki to use the new MCR-only schema
operations/mediawiki-config : masterMCR: Set testwiki to use the new MCR-only schema

Event Timeline

daniel triaged this task as Medium priority.Jul 1 2018, 12:27 PM
daniel created this task.
greg added a project: Multimedia.Mar 7 2019, 10:59 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptJul 5 2019, 2:13 PM
WDoranWMF moved this task from MCR to mop on the Core Platform Team board.Jul 26 2019, 6:39 PM

Blocked on waiting a week to see that nothing breaks on betawiki (T198559). SHould be done in the week of October 7.

daniel claimed this task.Oct 1 2019, 4:26 PM

Change 543007 had a related patch set uploaded (by Jforrester; owner: Daniel Kinzler):
[operations/mediawiki-config@master] MCR: Set testwiki to use the new MCR-only schema

https://gerrit.wikimedia.org/r/543007

Change 543007 merged by jenkins-bot:
[operations/mediawiki-config@master] MCR: Set testwiki to use the new MCR-only schema

https://gerrit.wikimedia.org/r/543007

Config change was reverted, since it broke Special:Export.

Change 546875 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[operations/mediawiki-config@master] Re-apply: MCR: Set testwiki to use the new MCR-only schema

https://gerrit.wikimedia.org/r/546875

Change 546875 merged by jenkins-bot:
[operations/mediawiki-config@master] Re-apply: MCR: Set testwiki to use the new MCR-only schema

https://gerrit.wikimedia.org/r/546875

Mentioned in SAL (#wikimedia-operations) [2019-10-30T11:12:42Z] <Urbanecm> Synchronized wmf-config/InitialiseSettings.php: SWAT: 61cb77c: Re-apply: MCR: Set testwiki to use the new MCR-only schema (T198558) (duration: 00m 59s)

daniel closed this task as Resolved.Oct 30 2019, 1:01 PM